import React from "react"

export default function AppName(props) {
  const { fill, className } = props

  return (
    <svg
      version="1.2"
      baseProfile="tiny-ps"
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 612 124"
      width="612"
      height="124"
      className={className}
    >
      <path
        id="DropNext"
        fill={fill || "#000000"}
        aria-label="DropNext"
        d="M28.6 3.26Q54.86 5.34 69.42 16.13Q83.98 26.92 83.98 47.07Q83.98 60.98 76.96 71.38Q69.94 81.78 56.81 87.5Q43.68 93.22 26 93.22L17.03 93.22Q13.26 93.22 11.57 91.92Q9.88 90.49 9.88 87.24Q9.88 81.65 15.08 81.65L18.46 81.65L16.51 14.57L15.73 14.57Q9.75 14.57 9.75 8.98Q9.75 2.87 15.99 2.87L17.42 2.87Q18.72 0.53 22.88 0.53Q27.17 0.53 28.6 3.26ZM31.33 81.52Q42.9 80.74 51.87 76.58Q60.84 72.29 65.91 64.75Q71.11 57.21 71.11 47.07Q71.11 31.34 59.54 24.06Q48.1 16.78 29.51 15.09L31.33 81.52ZM131.69 26.92Q140.01 26.92 144.95 32.25Q149.89 37.58 149.89 45.51Q149.89 53.05 145.21 57.34Q140.53 61.63 133.12 61.63Q129.87 61.63 128.44 60.72Q127.14 59.68 127.14 57.21Q127.14 55 128.05 54.09Q129.09 53.05 131.04 52.92Q139.23 52.27 139.23 45.25Q139.23 41.87 137.28 39.53Q135.46 37.19 131.56 37.19Q127.01 37.19 123.37 41.48Q119.86 45.77 117.65 51.88Q115.57 57.99 115.18 63.45Q114.27 73.2 114.27 85.29Q114.27 91.14 112.97 93.09Q111.67 95.04 108.03 95.04Q104.52 95.04 102.96 93.61Q101.53 92.05 101.53 88.54Q101.4 86.07 101.4 65.01Q101.4 54.48 99.97 40.7L99.19 30.69Q99.06 28.22 100.62 26.79Q102.31 25.36 105.3 25.36Q110.5 25.36 110.76 30.04L111.67 43.3Q114.01 35.89 119.21 31.47Q124.41 26.92 131.69 26.92ZM195.78 94.26Q180.44 94.26 170.69 86.2Q161.07 78.01 161.07 61.76Q161.07 51.49 165.1 43.56Q169.26 35.63 176.8 31.21Q184.47 26.79 194.87 26.79Q205.01 26.79 212.94 31.08Q221 35.37 225.42 43.43Q229.97 51.36 229.97 62.02Q229.97 77.62 220.61 85.94Q211.25 94.26 195.78 94.26ZM195.52 83.99Q205.14 83.99 211.12 78.4Q217.1 72.68 217.1 61.76Q217.1 54.74 214.37 49.15Q211.77 43.43 206.7 40.31Q201.76 37.06 195.26 37.06Q185.64 37.06 179.79 43.82Q174.07 50.45 174.07 61.63Q174.07 73.07 180.18 78.53Q186.29 83.99 195.52 83.99ZM277.42 27.31Q286.39 27.31 293.54 31.21Q300.82 34.98 304.98 42.65Q309.27 50.19 309.27 60.72Q309.27 71.12 305.11 78.79Q301.08 86.33 293.67 90.36Q286.39 94.26 277.03 94.26Q270.14 94.26 264.16 92.44Q258.31 90.62 255.71 88.8L255.58 95.82L254.93 118.05Q254.8 120.39 252.98 121.82Q251.29 123.12 248.3 123.12Q245.31 123.12 243.62 121.56Q241.93 120 242.06 117.53Q242.84 101.67 242.97 87.24L243.1 78.14Q243.36 61.76 243.36 48.89Q243.36 45.12 242.45 42.78Q241.67 40.31 240.11 38.36Q239.98 38.1 239.2 37.32Q238.42 36.54 238.42 35.24Q238.42 33.03 240.89 31.08Q243.49 29.13 245.7 29.26Q247.26 29.39 248.3 30.43Q249.34 31.34 250.9 33.55Q252.46 35.76 253.5 38.1Q256.49 33.81 262.6 30.56Q268.84 27.31 277.42 27.31ZM276.12 83.99Q285.22 83.99 290.68 77.88Q296.27 71.77 296.27 60.59Q296.27 49.15 290.81 43.56Q285.35 37.97 276.64 37.97Q270.66 37.97 265.98 40.57Q261.43 43.17 258.83 46.68Q256.36 50.06 256.36 52.4Q256.36 66.57 256.23 76.45Q256.75 77.75 259.87 79.57Q262.99 81.39 267.41 82.69Q271.83 83.99 276.12 83.99ZM395.46 1.18Q401.96 1.18 401.96 8.07L401.83 51.23Q401.83 68.26 400.79 77.1Q399.75 85.94 397.54 89.32Q395.33 92.57 391.04 92.57Q387.01 92.57 382.72 88.93Q378.56 85.16 373.23 77.62Q368.03 69.95 358.41 54.61Q342.81 29.65 338.13 22.89L338.26 50.06L338.39 87.37Q338.39 89.58 336.57 91.27Q334.75 92.83 331.89 92.83Q329.16 92.83 327.21 91.27Q325.39 89.58 325.39 87.37L325.39 49.67L325.26 32.12Q325.13 26.4 325.13 15.74Q325.13 8.33 326.69 5.21Q328.25 2.09 332.67 2.09Q336.57 2.09 340.21 5.21Q343.85 8.33 347.88 14.31Q352.04 20.16 360.23 33.29L364.65 40.44Q374.79 56.69 379.6 64.1Q384.54 71.38 388.05 76.06Q388.83 62.8 388.83 51.23L388.83 6.9Q388.83 4.3 390.52 2.74Q392.21 1.18 395.46 1.18ZM453.44 94.78Q442.39 94.78 434.46 90.23Q426.66 85.68 422.63 78.01Q418.73 70.34 418.73 61.11Q418.73 51.62 423.02 43.95Q427.31 36.15 435.11 31.73Q442.91 27.18 452.92 27.18Q461.76 27.18 468.78 30.82Q475.93 34.33 479.96 40.83Q483.99 47.33 483.99 55.65Q483.99 60.07 482.69 62.02Q481.39 63.84 477.36 63.97L430.43 64.62Q430.43 68.91 433.16 73.46Q435.89 78.01 440.96 81.13Q446.16 84.12 453.05 84.12Q457.99 84.12 461.37 82.82Q464.88 81.39 466.96 79.57Q469.04 77.62 471.9 74.5Q473.33 73.07 475.54 73.07Q477.62 73.07 479.44 74.76Q481.39 76.32 481.39 78.4Q481.39 80.09 480.22 81.65Q476.58 86.85 470.47 90.88Q464.36 94.78 453.44 94.78ZM430.43 55.52L471.77 54.74Q472.55 54.74 472.81 54.35Q473.2 53.83 473.2 52.92Q473.2 46.03 467.35 41.74Q461.63 37.32 452.92 37.32Q446.29 37.32 441.09 40.44Q436.02 43.56 433.16 47.98Q430.43 52.27 430.43 55.52ZM552.37 85.94Q553.41 87.37 553.41 88.54Q553.41 90.88 551.33 92.7Q549.25 94.39 546.91 94.39Q544.44 94.39 543.01 92.44L524.68 68.78Q516.62 80.48 508.3 92.31Q506.74 94.52 503.62 94.52Q501.02 94.52 499.07 92.83Q497.25 91.01 497.25 88.8Q497.25 87.76 497.77 86.72Q502.19 80.87 517.27 59.29L498.94 35.24Q498.29 34.33 498.29 33.16Q498.29 31.08 500.5 29.26Q502.71 27.44 504.92 27.44Q507.39 27.44 508.43 29L512.46 34.2Q516.88 39.66 524.16 49.28L532.61 37.19L538.33 29Q539.5 27.31 541.32 27.31Q543.92 27.31 546.13 29.39Q548.34 31.47 548.34 33.55Q548.34 34.33 547.95 34.98L546.39 37.19L531.57 58.9L552.37 85.94ZM604.37 71.25Q607.36 71.25 608.66 72.55Q609.96 73.85 609.96 76.97Q609.96 84.38 605.15 89.32Q600.34 94.13 592.93 94.13Q582.66 94.13 578.11 85.42Q573.56 76.58 573.56 57.86Q573.56 51.23 573.95 44.6L567.71 44.21Q562.64 43.95 562.64 38.88Q562.64 36.28 563.94 35.11Q565.37 33.81 568.49 33.94L574.86 34.33Q575.64 26.14 577.85 11.58Q578.63 6.9 584.22 6.9Q587.47 6.9 589.16 8.59Q590.98 10.28 590.72 12.62Q588.9 23.93 587.6 34.98Q594.62 35.24 596.83 35.24Q599.3 35.24 600.47 36.41Q601.64 37.45 601.64 39.79Q601.64 42.65 600.34 43.82Q599.17 44.86 595.92 44.99L586.69 44.99Q586.3 51.23 586.3 57.86Q586.3 70.99 587.99 77.36Q589.68 83.6 593.97 83.6Q598.91 83.6 599.3 75.93Q599.3 73.59 600.34 72.42Q601.51 71.25 604.37 71.25Z"
      />
    </svg>
  )
}
